% Input:
% pkgs: cell array of strings

% Output:
% success: cell array

% Description:
% Helper method to initialize additional packages (Mpt, Cvx)

function [success] = init_additionalpkgs(pkgs)

success = cell(1);

for i=1:length(pkgs)
    if strcmp(pkgs{i},'mpt')
        msgbox('Please chose a file in the mpt root directory.','mpt path','help') 
        uiwait();
        [~,pathname] = uigetfile({'*.m'},'File Selector');
        addpath(genpath(pathname));
        
        success{i} = mpt_init;
        
    elseif strcmp(pkgs{i},'cvx')
        msgbox('Please chose a file in the cvx root directory.','cvx path','help') 
        uiwait();
        [~,pathname] = uigetfile({'*.m'},'File Selector');
        addpath((pathname));
        
        success{i} = 'unknown';
        cvx_setup;
        
    end;
end;